Bug 52426 - [Cat4-1.3] Conect web module to WS: Part 3
[Cat4-1.3] Conect web module to WS: Part 3
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: Code
4.x
All All
: P1 (vote)
: 4.x
Assigned To: _ pcw
issues@webservices
netbeans41j2ee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-14 20:28 UTC by Petr Jiricka
Modified: 2006-06-03 17:43 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2004-12-14 20:28:35 UTC
Allow the developer to choose what type of stub
generation based on desired invocation paradigm
(static stub client, dynamic proxy client, or
dynamic invocation interface). Consult with mobile
to see if this covers their needs or if additional
targets are needed (or if we need an API so they
can program specific client generation steps
through us.) This work should also include UI to
allow the user to adjust the WSCompile parameters
in other ways.

Question: Are dynamic proxy client and dynamic
invocation interface implemented now?
Comment 1 _ pcw 2004-12-20 06:51:53 UTC
Support for distinct stub types is implemented in websvc/core.  The
web/project implementation handles two stub types: JSR-109 and JAXRPC
static stub.  The distinct between static stub, dynamic proxy, and
dynamic invocation has to do with the code written into the app.  The
infrastructure portion is pretty much the same, so if the user hand
codes the invocation (vs. using the menu item action) all three types
should work if they pick static stub as the type.

Mobile will be defining whatever stub types they are interested in
supporting.
Comment 2 _ pcw 2004-12-20 06:54:08 UTC
If explicit support for dynamic proxy and/or dynamic invocation stubs
(involves minor changes to wscompile parameters and new stub code
generation) is needed, we should open a separate RFE (or two) for them.
Comment 3 Petr Blaha 2005-07-11 12:46:28 UTC
Implemented JSR-109 and JAXRPC static stub. I'm marking as verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo